depends = ( 'Base', 'SimpleFilters',)
templates = (
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIUC2_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< unsigned char,2 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIUC3_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< unsigned char,3 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIUL2', 'itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIUL2_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< unsigned long,2 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIUL3', 'itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIUL3_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< unsigned long,3 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIUS2_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< unsigned short,2 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIUS3_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< unsigned short,3 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIF2_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< float,2 > >'),
  ('ImageToVTKImageFilter', 'itk::ImageToVTKImageFilter', 'itkImageToVTKImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToVTKImageFilterIF3_Pointer', 'itk::ImageToVTKImageFilter< itk::Image< float,3 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIUC2_Pointer', 'itk::VTKImageToImageFilter< itk::Image< unsigned char,2 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIUC3_Pointer', 'itk::VTKImageToImageFilter< itk::Image< unsigned char,3 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIUL2', 'itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIUL2_Pointer', 'itk::VTKImageToImageFilter< itk::Image< unsigned long,2 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIUL3', 'itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIUL3_Pointer', 'itk::VTKImageToImageFilter< itk::Image< unsigned long,3 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIUS2_Pointer', 'itk::VTKImageToImageFilter< itk::Image< unsigned short,2 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIUS3_Pointer', 'itk::VTKImageToImageFilter< itk::Image< unsigned short,3 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIF2_Pointer', 'itk::VTKImageToImageFilter< itk::Image< float,2 > >'),
  ('VTKImageToImageFilter', 'itk::VTKImageToImageFilter', 'itkVTKImageToImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageToImageFilterIF3_Pointer', 'itk::VTKImageToImageFilter< itk::Image< float,3 > >'),
)
